Bug 673589 (UpTools) - Review Request: UpTools - C++ library for hpc, networking, db, memory, etc.
Summary: Review Request: UpTools - C++ library for hpc, networking, db, memory, etc.
Keywords:
Status: CLOSED ERRATA
Alias: UpTools
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-28 20:30 UTC by Sergio Belkin
Modified: 2011-10-27 19:07 UTC (History)
7 users (show)

Fixed In Version: UpTools-8.6.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-03 11:59:18 UTC
mtasaka: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)
Spec fixes (1.47 KB, patch)
2011-01-31 12:53 UTC, Sergio Belkin
no flags Details | Diff
Patch to original spec file (3.10 KB, patch)
2011-01-31 19:21 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (4.48 KB, patch)
2011-02-01 18:02 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (Release 4) (11.72 KB, patch)
2011-02-15 19:04 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (Release 5) (11.89 KB, patch)
2011-02-18 01:28 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (Release 6) (11.61 KB, patch)
2011-02-18 03:38 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (Release 7) (12.23 KB, patch)
2011-02-22 14:08 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (Release 8) (9.74 KB, patch)
2011-02-25 12:51 UTC, Sergio Belkin
no flags Details | Diff
Fixes the original spec made it known to bugzilla (Release 9) (10.33 KB, patch)
2011-02-26 23:22 UTC, Sergio Belkin
no flags Details | Diff

Description Sergio Belkin 2011-01-28 20:30:51 UTC
Spec URL:  http://www.palermo.edu/ingenieria/uptools.spec
SRPM URL: http://www.palermo.edu/ingenieria/UpTools-8.5.4.srpm

I'd be glad that this package be reviewed by Fedora Packaging Team and get sponsored.

I work around Linux and FOSS around 10 years. I work in Universidad de Palermo as sysadmin, Buenos Aires, Argentina. This project was developed by the university.
Universidad de Palermo also have sponsored many Linux and FOSS events.


Description: UpTools is an open source C++ development library that contains powerful classes to facilitate and accelerate modern application development.
The following aspects are covered by the library: High performance computing
(HPC), Load distribution and parallel processing, Multi-threading, Time and
timers, Memory management, Text and strings, Database access, Networking, and
others.

Comment 1 Sergio Belkin 2011-01-28 20:49:16 UTC
I'm ver sorry I've made a typo in the link, but it goes to the right package.

Comment 2 Sergio Belkin 2011-01-29 23:00:08 UTC
The right link for SRPM URL: 
http://www.palermo.edu/ingenieria/UpTools-8.5.4-1.fc14.src.rpm

Please sorry, but it's my first RPM that I Upload to Fedora community and my anxiety for upload it betrayed me.

I look forward for a kind sponsor and your feedback.


Thanks again

Comment 3 Susi Lehtola 2011-01-31 04:29:46 UTC
I don't have time to give you now a full list of what should be improved with the specfile (I'm on my way to the airport), but I can remind you that the packaging guidelines at
 http://fedoraproject.org/wiki/Packaging/Guidelines
need to be followed. In addition, you also have to pass the review guidelines at
 http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
in order for the package to be approved.

On a quick glance, the buildroot is not OK, the -devel package stuff is not OK, you're mixing styles, and you're not owning the %{_includedir}/UpTools/ directory itself.

Furthermore, you should run the tests in the %check phase instead of shipping them as %doc (for which there would be a loads easier way to do).

Additionally to the Packaging Guidelines, there are a bunch of language / application specific guidelines that are linked to in the Packaging Guidelines.

Here are some tricks of the trade:
http://fedoraproject.org/wiki/Packaging_tricks
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
http://fedoraproject.org/wiki/Common_Rpmlint_issues

Comment 4 Sergio Belkin 2011-01-31 12:53:40 UTC
Created attachment 476176 [details]
Spec fixes

This the fixes according Jussi Lehtola.

Fixed:

*Styles mixing
*Drop "." ant the end Summary
*Fixed BuildRoot

Comment 5 Sergio Belkin 2011-01-31 13:11:44 UTC
New SPEC URL: http://pastebin.com/4HyTTH0N

Jussi, thanks for taking the time for view the package.

I've made the suggested changes to spec file. 

Please bear in mind that UpTools is a young project. 
Because of it, we would want that users can learn how to use it through examples in %{_defaultdocdir}/%{name}-%{version}/tests/*

The are documentation files.

There are not examples to "test the suite" in the automake "make check" style.

I'd be glad to get your feedback and sponsorship.

Below you there is the rmplint output:

uptools.spec:119: W: macro-in-comment %pre
There is a unescaped macro after a shell style comment in the specfile. Macros
are expanded everywhere, so check if it can cause a problem in this case and
escape the macro with another leading % if appropriate.

uptools.spec: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.
UpTools.i686: I: checking
UpTools.i686: W: spelling-error Summary(en_US) hpc -> hp, pc, hic
The value of this tag appears to be misspelled. Please double-check.

UpTools.i686: W: name-repeated-in-summary C UpTools
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

UpTools.i686: W: incoherent-version-in-changelog 8.5.4 ['8.5.4-1.fc14', '8.5.4-1']
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

UpTools.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
UpTools.i686: W: devel-file-in-non-devel-package /usr/lib/libUpTools.so
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

UpTools.i686: W: one-line-command-in-%post /sbin/ldconfig
You should use %post -p <command> instead of using:  %post <command>  It will
avoid the fork of a shell interpreter to execute your command as well as
allows rpm to automatically mark the dependency on your command for the
excecution of the scriptlet.

UpTools.i686: W: one-line-command-in-%postun /sbin/ldconfig
You should use %postun -p <command> instead of using:  %postun <command>  It
will avoid the fork of a shell interpreter to execute your command as well as
allows rpm to automatically mark the dependency on your command for the
excecution of the scriptlet.

1 packages and 0 specfiles checked; 0 errors, 6 warnings.
UpTools-devel.i686: I: checking
UpTools-devel.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
UpTools-devel.i686: W: file-not-utf8 /usr/share/doc/UpTools-8.5.4/tests/testUpTimer.cc
The character encoding of this file is not UTF-8.  Consider converting it in
the specfile's %prep section for example using iconv(1).

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
UpTools-static.i686: I: checking
UpTools-static.i686: W: spelling-error Summary(en_US) hpc -> hp, pc, hic
The value of this tag appears to be misspelled. Please double-check.

UpTools-static.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
UpTools-debuginfo.i686: I: checking
UpTools-debuginfo.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 6 Sergio Belkin 2011-01-31 19:21:33 UTC
Created attachment 476256 [details]
Patch to original spec file

+- Styles mixing fixed
+- Added openssl-devel as BuildRequires
+- Drop "." ant the end Summary
+- Fixed BuildRoot
+- Fixed Summary and Description
+- Fixed %%pre and %%postun
+- Fixed file-not-utf8
+- Fixed spec file name

Comment 7 Sergio Belkin 2011-01-31 19:39:40 UTC
SPEC URL: http://dl.dropbox.com/u/14217893/UpTools.spec
SRPM URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-1.fc14.src.rpm

I've made the following actios:

+- Styles mixing fixed
+- Added openssl-devel as BuildRequires
+- Drop "." ant the end Summary
+- Fixed BuildRoot
+- Fixed Summary and Description
+- Fixed %%pre and %%postun
+- Fixed file-not-utf8
+- Fixed spec file name

rpmlint output:

rpmlint -i -v  UpTools.spec 
UpTools.spec: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.


rpmlint -v -i /home/sergio/rpmbuild/SRPMS/UpTools-8.5.4-1.fc14.src.rpm

UpTools.src: I: checking
UpTools.src: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
UpTools.src: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -v -i /home/sergio/rpmbuild/RPMS/i686/UpTools-8.5.4-1.fc14.i686.rpm 
UpTools.i686: I: checking
UpTools.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
UpTools.i686: W: devel-file-in-non-devel-package /usr/lib/libUpTools.so
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.
rpmlint -v -i /home/sergio/rpmbuild/RPMS/i686/UpTools-devel-8.5.4-1.fc14.i686.rpm 
UpTools-devel.i686: I: checking
UpTools-devel.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -v -i /home/sergio/rpmbuild/RPMS/i686/UpTools-static-8.5.4-1.fc14.i686.rpm 
UpTools-static.i686: I: checking
UpTools-static.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

The only problematic thing that I see is the warning about development package creation. Should I join "UpTools+Uptools-devel" package? And what about is someone makes a program that already was linked against UpTools library?

About the UpTools-devel files and about  %{_includedir}/UpTools/ I see no problem about it:

rpm -qlpv  /home/sergio/rpmbuild/RPMS/i686/UpTools-devel-8.5.4-1.fc14.i686.rpm | grep UpTools$
drwxr-xr-x    2 root    root                        0 ene 31 16:05 /usr/include/UpTools


You can view my task also on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2753478

I look forward you review.

Comment 8 Sergio Belkin 2011-02-01 17:59:42 UTC
Well, all errors and warnings from rpmlint were fixed, I think that I do my homework :)

SPEC URL: http://dl.dropbox.com/u/14217893/UpTools.spec
SRPM URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-1.fc14.src.rpm

rmplint results:

rpmlint -i -v UpTools.spec
UpTools.spec: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../SRPMS/UpTools-8.5.4-1.fc14.src.rpm
UpTools.src: I: checking
UpTools.src: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
UpTools.src: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/i686/UpTools-8.5.4-1.fc14.i686.rpm
UpTools.i686: I: checking
UpTools.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/i686/UpTools-debuginfo-8.5.4-1.fc14.i686.rpm
UpTools-debuginfo.i686: I: checking
UpTools-debuginfo.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/i686/UpTools-devel-8.5.4-1.fc14.i686.rpm
UpTools-devel.i686: I: checking
UpTools-devel.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/i686/UpTools-devel-debuginfo-8.5.4-1.fc14.i686.rpm
UpTools-devel-debuginfo.i686: I: checking
UpTools-devel-debuginfo.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/i686/UpTools-static-8.5.4-1.fc14.i686.rpm
UpTools-static.i686: I: checking
UpTools-static.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/x86_64/UpTools-8.5.4-1.fc14.x86_64.rpm
UpTools.x86_64: I: checking
UpTools.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/x86_64/UpTools-debuginfo-8.5.4-1.fc14.x86_64.rpm
UpTools-debuginfo.x86_64: I: checking
UpTools-debuginfo.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/x86_64/UpTools-devel-8.5.4-1.fc14.x86_64.rpm
UpTools-devel.x86_64: I: checking
UpTools-devel.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v ../RPMS/x86_64/UpTools-static-8.5.4-1.fc14.x86_64.rpm
UpTools-static.x86_64: I: checking
UpTools-static.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


koji results:

https://koji.fedoraproject.org/koji/taskinfo?taskID=2755389


I look forward your review and your sponsorship

Comment 9 Sergio Belkin 2011-02-01 18:02:59 UTC
Created attachment 476456 [details]
Fixes the original spec made it known to bugzilla

I've made some fixes, now the rpmlint give no error and no warning :)

Comment 10 Michael Schwendt 2011-02-05 13:33:24 UTC
Please enter your real name in your bugzilla account preferences. That will
also improve the current http://fedoraproject.org/PackageReviewStatus/NEEDSPONSOR.html list.

Comment 11 Ralf Corsepius 2011-02-05 16:46:07 UTC
Please increment your submitted package's %release each time you modify your submission and provide URLS to your updated SPEC and srpm - ATM, it's impossible for reviewers to tell whether they are looking at the right package.


Besides this, your package currently fails to build in mock:

[configure]
...
checking whether the C compiler works... no
onfigure: error: in `/builddir/build/BUILD/UpTools-8.5.4':
configure: error: C compiler cannot create executables
See `config.log' for more details


config.log:
...
configure:3622: checking whether the C compiler works
configure:3644: gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -no-install -Wl,-as-needed conftest.c  >&5
gcc: error: unrecognized option '-no-install'
configure:3648: $? = 1
configure:3686: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "UpTools"   
| #define PACKAGE_TARNAME "UpTools"
| #define PACKAGE_VERSION "8.5.4"
| #define PACKAGE_STRING "UpTools 8.5.4"
| #define PACKAGE_BUGREPORT "bugs-uptools@palermo.edu"
| #define PACKAGE_URL ""   
| #define PACKAGE "UpTools"
| #define VERSION "8.5.4"
| /* end confdefs.h.  */
|    
| int
| main ()
| {  
|    
|   ;
|   return 0;
| }
configure:3691: error: in `/builddir/build/BUILD/UpTools-8.5.4':
configure:3693: error: C compiler cannot create executables
See `config.log' for more details

AFAIS, the configure script is trying to play games with LDFLAGS.

Comment 12 Sergio Belkin 2011-02-15 18:28:27 UTC
(In reply to comment #10)
> Please enter your real name in your bugzilla account preferences. That will
> also improve the current
> http://fedoraproject.org/PackageReviewStatus/NEEDSPONSOR.html list.

Thanks Michael. I've done it!

Comment 13 Sergio Belkin 2011-02-15 18:57:29 UTC
(In reply to comment #11)
> Please increment your submitted package's %release each time you modify your
> submission and provide URLS to your updated SPEC and srpm -

Thanks Ralf for your help!

Updated URL's:

SPEC URL: http://dl.dropbox.com/u/14217893/UpTools.spec
SRPM URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-4.fc14.src.rpm

 ATM, it's
> impossible for reviewers to tell whether they are looking at the right package.


Thanks Ralf for your suggestion, I thought for a moment that it wasn't needed until the package be approved, but  I've done!

> 
> 
> Besides this, your package currently fails to build in mock:
> 
> [configure]
> ...
> checking whether the C compiler works... no
> onfigure: error: in `/builddir/build/BUILD/UpTools-8.5.4':
> configure: error: C compiler cannot create executables
> See `config.log' for more details
> 
> 
> config.log:
> ...
> configure:3622: checking whether the C compiler works
> configure:3644: gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
> -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic  -no-install
> -Wl,-as-needed conftest.c  >&5
> gcc: error: unrecognized option '-no-install'
> configure:3648: $? = 1
> configure:3686: result: no
> configure: failed program was:
> | /* confdefs.h */
> | #define PACKAGE_NAME "UpTools"   
> | #define PACKAGE_TARNAME "UpTools"
> | #define PACKAGE_VERSION "8.5.4"
> | #define PACKAGE_STRING "UpTools 8.5.4"
> | #define PACKAGE_BUGREPORT "bugs-uptools@palermo.edu"
> | #define PACKAGE_URL ""   
> | #define PACKAGE "UpTools"
> | #define VERSION "8.5.4"
> | /* end confdefs.h.  */
> |    
> | int
> | main ()
> | {  
> |    
> |   ;
> |   return 0;
> | }
> configure:3691: error: in `/builddir/build/BUILD/UpTools-8.5.4':
> configure:3693: error: C compiler cannot create executables
> See `config.log' for more details
> 
> AFAIS, the configure script is trying to play games with LDFLAGS.

Yes you'r right, I confirm that compiling on rawhide. I've fixed that too. Thanks in advance. I look forward your review and your sponsorship.

Comment 14 Sergio Belkin 2011-02-15 19:04:48 UTC
Created attachment 478953 [details]
Fixes the original spec made it known to bugzilla (Release 4)

Comment 15 Sergio Belkin 2011-02-18 00:59:31 UTC
I've fixed a silly regression on %prep section about paths and removed the %clean section.

Spec URL: http://dl.dropbox.com/u/14217893/UpTools.spec
SRPM URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-5.fc14.src.rpm


I look forward your review and your sponsorship.

Thanks in advance.

Comment 16 Sergio Belkin 2011-02-18 01:28:39 UTC
Created attachment 479431 [details]
Fixes the original spec made it known to bugzilla (Release 5)

Comment 17 Sergio Belkin 2011-02-18 03:36:04 UTC
OK, it's not my will provoke the rpmlint wrath :)
So I've removed a file creation on %post section. Also I've read at http://fedoraproject.org/wiki/Packaging:GuidelinesTodo: "Policy on cleaning up things introduced in %post (and not creating files in %post.)" 

Also, I've removed glibc-devel as BuildRequires item, because it compiles successfully using both mock and koji.

Spec URL: http://dl.dropbox.com/u/14217893/UpTools.spec
SRPM URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-6.fc16.src.rpm

I look forward your review and your sponsorship.

Please tell me if I've missed something.

Thanks in advance.

Comment 18 Sergio Belkin 2011-02-18 03:38:31 UTC
Created attachment 479452 [details]
Fixes the original spec made it known to bugzilla (Release 6)

Comment 19 Sergio Belkin 2011-02-22 14:05:33 UTC
I've made updates. I've adapted some things in order to make UpTools full-compliant, new files, thanks Miachael, Ralf and Jossie for your help.

Spec URL: http://dl.dropbox.com/u/14217893/UpTools.spec
Spec URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-7.fc16.src.rpm

Below the complete review

MUSTS LIST
[x]rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
#rpmlint output:
[sergio@peque tmp]$ for i in *8.5.4-7*  ~/rpmbuild/SPECS/UpTools.spec; do echo "rpmlint -i -v $i:" && rpmlint -i -v  $i;donerpmlint -i -v UpTools-8.5.4-7.fc16.i686.rpm:
UpTools.i686: I: checking
UpTools.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v UpTools-8.5.4-7.fc16.src.rpm:
UpTools.src: I: checking
UpTools.src: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
UpTools.src: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v UpTools-8.5.4-7.fc16.x86_64.rpm:
UpTools.x86_64: I: checking
UpTools.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v UpTools-debuginfo-8.5.4-7.fc16.i686.rpm:
UpTools-debuginfo.i686: I: checking
UpTools-debuginfo.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v UpTools-debuginfo-8.5.4-7.fc16.x86_64.rpm:
UpTools-debuginfo.x86_64: I: checking
UpTools-debuginfo.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v UpTools-devel-8.5.4-7.fc16.i686.rpm:
UpTools-devel.i686: I: checking
UpTools-devel.i686: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v UpTools-devel-8.5.4-7.fc16.x86_64.rpm:
UpTools-devel.x86_64: I: checking
UpTools-devel.x86_64: I: checking-url http://www.palermo.edu/ingenieria/uptools_ingles.html (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
rpmlint -i -v /home/sergio/rpmbuild/SPECS/UpTools.spec:
/home/sergio/rpmbuild/SPECS/UpTools.spec: I: checking-url http://www.palermo.edu/ingenieria/UpTools-8.5.4.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

[x]The packages must are named according to the Package Naming Guidelines.
[x]UpTools match with the base package %{name}, in the format %{name}.
[x]The package must meet the Packaging Guidelines.
[x]BSD with advertising is  a Fedora approved license and meet the Licensing Guidelines.
[x]BSD with advertising in the package spec file matches the actual license.
[x]The source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]The spec file is written in American English.
[x]The spec file for the package is legible.
[x]The sources used to build the package matches the upstream source, as provided in the spec URL. Source md5sum: 3e4f8279ce459015b7c1c908d266b784
[x]The package successfully compiles and build into binary rpms on two primary architecture.
[x] All build dependencies are listed in BuildRequires.
[x] The spec file does not contain locales. It contain a file in spanish language. Future versions of UpTools will contain better documentation with locales.
[x] Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[x] Packages do NOT bundle copies of system libraries.
[x] Package is note relocatable
[x]: No file is listed more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[x] Permissions on files are set properly. Library are set with executable permissions. Every %files section has include a %defattr(...) line.
[x]: Each package consistently uses macros. No mixed style.
[x] The package contains code, or permissable content.
[x] There is no large documentation files that deserve to go in a -doc subpackage. There are EXAMPLES files but currently we think that it's better that those are together with devel package. 
[x]  the library works properly if %doc is not present.
[x] Header files is in a -devel package
[x] Static library is disabled
[x] Package contains library files with a suffix (in this case libUpTools.so.0.0), then library files that end in .so (without suffix) goes in a -devel package.
[x] devel packages requires the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[x] .la libtool archives are excluded in the spec if they are built.
[x]: Packages do not own files or directories already owned by other packages.  No package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package.
[sergio@peque tmp]$ for i in *8.5.4-7*  ;do echo "File List for $i:" && rpm -qlpv  $i;doneFile List for UpTools-8.5.4-7.fc16.i686.rpm:
lrwxrwxrwx    1 root    root                       19 feb 22 10:34 /usr/lib/libUpTools.so.0 -> libUpTools.so.0.0.0
-rwxr-xr-x    1 root    root                   294536 feb 22 10:34 /usr/lib/libUpTools.so.0.0.0
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/share/doc/UpTools-8.5.4
-rw-r--r--    1 root    root                     6426 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/INTRO
-rw-r--r--    1 root    root                     1862 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/LICENSE
-rw-r--r--    1 root    root                    18020 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/MULTITHREADING.INTRO
-rw-r--r--    1 root    root                     5718 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/README
File List for UpTools-8.5.4-7.fc16.src.rpm:
-rw-r--r--    1 mockbuilmockbuil               454274 ene 28 16:54 UpTools-8.5.4.tar.gz
-rw-rw-r--    1 mockbuilmockbuil                 7757 feb 22 02:04 UpTools.spec
File List for UpTools-8.5.4-7.fc16.x86_64.rpm:
lrwxrwxrwx    1 root    root                       19 feb 22 10:34 /usr/lib64/libUpTools.so.0 -> libUpTools.so.0.0.0
-rwxr-xr-x    1 root    root                   303960 feb 22 10:34 /usr/lib64/libUpTools.so.0.0.0
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/share/doc/UpTools-8.5.4
-rw-r--r--    1 root    root                     6426 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/INTRO
-rw-r--r--    1 root    root                     1862 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/LICENSE
-rw-r--r--    1 root    root                    18020 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/MULTITHREADING.INTRO
-rw-r--r--    1 root    root                     5718 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/README
File List for UpTools-debuginfo-8.5.4-7.fc16.i686.rpm:
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/.build-id
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/.build-id/f3
lrwxrwxrwx    1 root    root                       28 feb 22 10:34 /usr/lib/debug/.build-id/f3/42178dce0046b681902915ba89a64a27a0f51c -> ../../../libUpTools.so.0.0.0
lrwxrwxrwx    1 root    root                       39 feb 22 10:34 /usr/lib/debug/.build-id/f3/42178dce0046b681902915ba89a64a27a0f51c.debug -> ../../usr/lib/libUpTools.so.0.0.0.debug
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/usr
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/usr/lib
-r--r--r--    1 root    root                  2032228 feb 22 10:34 /usr/lib/debug/usr/lib/libUpTools.so.0.0.0.debug
lrwxrwxrwx    1 root    root                       25 feb 22 10:34 /usr/lib/debug/usr/lib/libUpTools.so.0.debug -> libUpTools.so.0.0.0.debug
lrwxrwxrwx    1 root    root                       25 feb 22 10:34 /usr/lib/debug/usr/lib/libUpTools.so.debug -> libUpTools.so.0.0.0.debug
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/src/debug/UpTools-8.5.4
-rw-r--r--    1 root    root                     5560 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpConf.cc
-rw-r--r--    1 root    root                    11583 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpDnsBase.cc
-rw-r--r--    1 root    root                     9585 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpDnsQuery.cc
-rw-r--r--    1 root    root                     6611 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpDnsQuerySimple.cc
-rw-r--r--    1 root    root                    54358 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpInet.cc
-rw-r--r--    1 root    root                     8773 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpLine.cc
-rw-r--r--    1 root    root                     4391 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpLinkable.cc
-rw-r--r--    1 root    root                     4569 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpLog.cc
-rw-r--r--    1 root    root                     5816 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpNaptrQuery.cc
-rw-r--r--    1 root    root                     7839 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpOp.cc
-rw-r--r--    1 root    root                     5244 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpRegex.cc
-rw-r--r--    1 root    root                    13970 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpResolver.cc
-rw-r--r--    1 root    root                     5022 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpResolverSimple.cc
-rw-r--r--    1 root    root                     8601 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSql.cc
-rw-r--r--    1 root    root                     4166 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSqlConnPool.cc
-rw-r--r--    1 root    root                     5983 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSqlMysql.cc
-rw-r--r--    1 root    root                     4463 ene 27 14:16 /usr/src/debug/UpTools-8.5.4/UpSqlPgsql.cc
-rw-r--r--    1 root    root                    15552 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSsl1.cc
-rw-r--r--    1 root    root                     8622 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSsl2.cc
-rw-r--r--    1 root    root                     5732 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSslThreadSafe.cc
-rw-r--r--    1 root    root                     8204 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSubstitute.cc
-rw-r--r--    1 root    root                    11165 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpThread.cc
-rw-r--r--    1 root    root                    16474 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpThreadWorkDistributor.cc
-rw-r--r--    1 root    root                     3188 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpTimeVal.cc
-rw-r--r--    1 root    root                     3279 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpTimerManager.cc
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/src/debug/UpTools-8.5.4/include
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/src/debug/UpTools-8.5.4/include/UpTools
-rw-r--r--    1 root    root                     6398 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpCondition.h
-rw-r--r--    1 root    root                     4625 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpConf.h
-rw-r--r--    1 root    root                     5523 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpDnsBase.h
-rw-r--r--    1 root    root                    18593 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpDnsBase.inl
-rw-r--r--    1 root    root                     5793 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpHashMap.h
-rw-r--r--    1 root    root                    17664 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpInet.h
-rw-r--r--    1 root    root                     5878 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpInet.inl
-rw-r--r--    1 root    root                     3786 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpLine.h
-rw-r--r--    1 root    root                     3212 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpLog.inl
-rw-r--r--    1 root    root                     3834 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpNaptrQuery.h
-rw-r--r--    1 root    root                     5112 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpOp.h
-rw-r--r--    1 root    root                     3602 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpRegex.h
-rw-r--r--    1 root    root                    10896 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolver.h
-rw-r--r--    1 root    root                     2879 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolver.inl
-rw-r--r--    1 root    root                     6143 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolverSimple.h
-rw-r--r--    1 root    root                     2654 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolverSimple.inl
-rw-r--r--    1 root    root                     9215 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSmartLinkPtr.h
-rw-r--r--    1 root    root                     9367 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSmartLinkPtr.inl
-rw-r--r--    1 root    root                     6559 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSql.h
-rw-r--r--    1 root    root                     6037 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSql.inl
-rw-r--r--    1 root    root                     5227 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlConnPool.h
-rw-r--r--    1 root    root                     3625 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlConnPool.inl
-rw-r--r--    1 root    root                     2835 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlMysql.h
-rw-r--r--    1 root    root                     4734 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlMysql.inl
-rw-r--r--    1 root    root                     2762 ene 27 14:16 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlPgsql.h
-rw-r--r--    1 root    root                     4501 ene 27 14:16 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlPgsql.inl
-rw-r--r--    1 root    root                    12103 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSsl.h
-rw-r--r--    1 root    root                     3228 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSsl.inl
-rw-r--r--    1 root    root                     4058 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSubstitute.h
-rw-r--r--    1 root    root                    10319 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThread.h
-rw-r--r--    1 root    root                     4418 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThread.inl
-rw-r--r--    1 root    root                    10173 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThreadWorkDistributor.h
-rw-r--r--    1 root    root                     3039 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThreadWorkDistributor.inl
-rw-r--r--    1 root    root                     6701 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimeVal.h
-rw-r--r--    1 root    root                    13094 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimeVal.inl
-rw-r--r--    1 root    root                     3910 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimer.h
-rw-r--r--    1 root    root                     4253 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimerManager.h
File List for UpTools-debuginfo-8.5.4-7.fc16.x86_64.rpm:
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/.build-id
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/.build-id/91
lrwxrwxrwx    1 root    root                       37 feb 22 10:34 /usr/lib/debug/.build-id/91/07263ae36b7c40f764e747888bbb8ba095d66d -> ../../../../lib64/libUpTools.so.0.0.0
lrwxrwxrwx    1 root    root                       41 feb 22 10:34 /usr/lib/debug/.build-id/91/07263ae36b7c40f764e747888bbb8ba095d66d.debug -> ../../usr/lib64/libUpTools.so.0.0.0.debug
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/usr
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/lib/debug/usr/lib64
-r--r--r--    1 root    root                  2523632 feb 22 10:34 /usr/lib/debug/usr/lib64/libUpTools.so.0.0.0.debug
lrwxrwxrwx    1 root    root                       25 feb 22 10:34 /usr/lib/debug/usr/lib64/libUpTools.so.0.debug -> libUpTools.so.0.0.0.debug
lrwxrwxrwx    1 root    root                       25 feb 22 10:34 /usr/lib/debug/usr/lib64/libUpTools.so.debug -> libUpTools.so.0.0.0.debug
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/src/debug/UpTools-8.5.4
-rw-r--r--    1 root    root                     5560 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpConf.cc
-rw-r--r--    1 root    root                    11583 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpDnsBase.cc
-rw-r--r--    1 root    root                     9585 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpDnsQuery.cc
-rw-r--r--    1 root    root                     6611 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpDnsQuerySimple.cc
-rw-r--r--    1 root    root                    54358 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpInet.cc
-rw-r--r--    1 root    root                     8773 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpLine.cc
-rw-r--r--    1 root    root                     4391 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpLinkable.cc
-rw-r--r--    1 root    root                     4569 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpLog.cc
-rw-r--r--    1 root    root                     5816 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpNaptrQuery.cc
-rw-r--r--    1 root    root                     7839 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpOp.cc
-rw-r--r--    1 root    root                     5244 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpRegex.cc
-rw-r--r--    1 root    root                    13970 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpResolver.cc
-rw-r--r--    1 root    root                     5022 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpResolverSimple.cc
-rw-r--r--    1 root    root                     8601 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSql.cc
-rw-r--r--    1 root    root                     4166 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSqlConnPool.cc
-rw-r--r--    1 root    root                     5983 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSqlMysql.cc
-rw-r--r--    1 root    root                     4463 ene 27 14:16 /usr/src/debug/UpTools-8.5.4/UpSqlPgsql.cc
-rw-r--r--    1 root    root                    15552 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSsl1.cc
-rw-r--r--    1 root    root                     8622 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSsl2.cc
-rw-r--r--    1 root    root                     5732 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSslThreadSafe.cc
-rw-r--r--    1 root    root                     8204 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpSubstitute.cc
-rw-r--r--    1 root    root                    11165 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpThread.cc
-rw-r--r--    1 root    root                    16474 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpThreadWorkDistributor.cc
-rw-r--r--    1 root    root                     3188 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpTimeVal.cc
-rw-r--r--    1 root    root                     3279 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/UpTimerManager.cc
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/src/debug/UpTools-8.5.4/include
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/src/debug/UpTools-8.5.4/include/UpTools
-rw-r--r--    1 root    root                     6398 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpCondition.h
-rw-r--r--    1 root    root                     4625 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpConf.h
-rw-r--r--    1 root    root                     5523 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpDnsBase.h
-rw-r--r--    1 root    root                    18593 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpDnsBase.inl
-rw-r--r--    1 root    root                     5793 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpHashMap.h
-rw-r--r--    1 root    root                    17664 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpInet.h
-rw-r--r--    1 root    root                     5878 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpInet.inl
-rw-r--r--    1 root    root                     3786 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpLine.h
-rw-r--r--    1 root    root                     3212 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpLog.inl
-rw-r--r--    1 root    root                     3834 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpNaptrQuery.h
-rw-r--r--    1 root    root                     5112 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpOp.h
-rw-r--r--    1 root    root                     3602 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpRegex.h
-rw-r--r--    1 root    root                    10896 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolver.h
-rw-r--r--    1 root    root                     2879 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolver.inl
-rw-r--r--    1 root    root                     6143 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolverSimple.h
-rw-r--r--    1 root    root                     2654 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpResolverSimple.inl
-rw-r--r--    1 root    root                     9215 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSmartLinkPtr.h
-rw-r--r--    1 root    root                     9367 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSmartLinkPtr.inl
-rw-r--r--    1 root    root                     6559 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSql.h
-rw-r--r--    1 root    root                     6037 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSql.inl
-rw-r--r--    1 root    root                     5227 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlConnPool.h
-rw-r--r--    1 root    root                     3625 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlConnPool.inl
-rw-r--r--    1 root    root                     2835 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlMysql.h
-rw-r--r--    1 root    root                     4734 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlMysql.inl
-rw-r--r--    1 root    root                     2762 ene 27 14:16 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlPgsql.h
-rw-r--r--    1 root    root                     4501 ene 27 14:16 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSqlPgsql.inl
-rw-r--r--    1 root    root                    12103 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSsl.h
-rw-r--r--    1 root    root                     3228 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSsl.inl
-rw-r--r--    1 root    root                     4058 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpSubstitute.h
-rw-r--r--    1 root    root                    10319 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThread.h
-rw-r--r--    1 root    root                     4418 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThread.inl
-rw-r--r--    1 root    root                    10173 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThreadWorkDistributor.h
-rw-r--r--    1 root    root                     3039 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpThreadWorkDistributor.inl
-rw-r--r--    1 root    root                     6701 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimeVal.h
-rw-r--r--    1 root    root                    13094 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimeVal.inl
-rw-r--r--    1 root    root                     3910 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimer.h
-rw-r--r--    1 root    root                     4253 ene 25 19:15 /usr/src/debug/UpTools-8.5.4/include/UpTools/UpTimerManager.h
File List for UpTools-devel-8.5.4-7.fc16.i686.rpm:
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/include/UpTools
-rw-r--r--    1 root    root                     2342 feb 22 10:34 /usr/include/UpTools/UpArch.h
-rw-r--r--    1 root    root                     6473 feb 22 10:34 /usr/include/UpTools/UpBuf.h
-rw-r--r--    1 root    root                     6398 feb 22 10:34 /usr/include/UpTools/UpCondition.h
-rw-r--r--    1 root    root                     4625 feb 22 10:34 /usr/include/UpTools/UpConf.h
-rw-r--r--    1 root    root                     5523 feb 22 10:34 /usr/include/UpTools/UpDnsBase.h
-rw-r--r--    1 root    root                    18593 feb 22 10:34 /usr/include/UpTools/UpDnsBase.inl
-rw-r--r--    1 root    root                     5793 feb 22 10:34 /usr/include/UpTools/UpHashMap.h
-rw-r--r--    1 root    root                    17664 feb 22 10:34 /usr/include/UpTools/UpInet.h
-rw-r--r--    1 root    root                     5878 feb 22 10:34 /usr/include/UpTools/UpInet.inl
-rw-r--r--    1 root    root                     3786 feb 22 10:34 /usr/include/UpTools/UpLine.h
-rw-r--r--    1 root    root                     5299 feb 22 10:34 /usr/include/UpTools/UpLog.h
-rw-r--r--    1 root    root                     3212 feb 22 10:34 /usr/include/UpTools/UpLog.inl
-rw-r--r--    1 root    root                     3834 feb 22 10:34 /usr/include/UpTools/UpNaptrQuery.h
-rw-r--r--    1 root    root                     5112 feb 22 10:34 /usr/include/UpTools/UpOp.h
-rw-r--r--    1 root    root                     3602 feb 22 10:34 /usr/include/UpTools/UpRegex.h
-rw-r--r--    1 root    root                    10896 feb 22 10:34 /usr/include/UpTools/UpResolver.h
-rw-r--r--    1 root    root                     2879 feb 22 10:34 /usr/include/UpTools/UpResolver.inl
-rw-r--r--    1 root    root                     6143 feb 22 10:34 /usr/include/UpTools/UpResolverSimple.h
-rw-r--r--    1 root    root                     2654 feb 22 10:34 /usr/include/UpTools/UpResolverSimple.inl
-rw-r--r--    1 root    root                    18357 feb 22 10:34 /usr/include/UpTools/UpSelect.h
-rw-r--r--    1 root    root                     9215 feb 22 10:34 /usr/include/UpTools/UpSmartLinkPtr.h
-rw-r--r--    1 root    root                     9367 feb 22 10:34 /usr/include/UpTools/UpSmartLinkPtr.inl
-rw-r--r--    1 root    root                     6559 feb 22 10:34 /usr/include/UpTools/UpSql.h
-rw-r--r--    1 root    root                     6037 feb 22 10:34 /usr/include/UpTools/UpSql.inl
-rw-r--r--    1 root    root                     5227 feb 22 10:34 /usr/include/UpTools/UpSqlConnPool.h
-rw-r--r--    1 root    root                     3625 feb 22 10:34 /usr/include/UpTools/UpSqlConnPool.inl
-rw-r--r--    1 root    root                     2835 feb 22 10:34 /usr/include/UpTools/UpSqlMysql.h
-rw-r--r--    1 root    root                     4734 feb 22 10:34 /usr/include/UpTools/UpSqlMysql.inl
-rw-r--r--    1 root    root                     2762 feb 22 10:34 /usr/include/UpTools/UpSqlPgsql.h
-rw-r--r--    1 root    root                     4501 feb 22 10:34 /usr/include/UpTools/UpSqlPgsql.inl
-rw-r--r--    1 root    root                    12103 feb 22 10:34 /usr/include/UpTools/UpSsl.h
-rw-r--r--    1 root    root                     3228 feb 22 10:34 /usr/include/UpTools/UpSsl.inl
-rw-r--r--    1 root    root                     4058 feb 22 10:34 /usr/include/UpTools/UpSubstitute.h
-rw-r--r--    1 root    root                    10319 feb 22 10:34 /usr/include/UpTools/UpThread.h
-rw-r--r--    1 root    root                     4418 feb 22 10:34 /usr/include/UpTools/UpThread.inl
-rw-r--r--    1 root    root                     5245 feb 22 10:34 /usr/include/UpTools/UpThreadSpecific.h
-rw-r--r--    1 root    root                     8409 feb 22 10:34 /usr/include/UpTools/UpThreadSpecific.inl
-rw-r--r--    1 root    root                    10173 feb 22 10:34 /usr/include/UpTools/UpThreadWorkDistributor.h
-rw-r--r--    1 root    root                     3039 feb 22 10:34 /usr/include/UpTools/UpThreadWorkDistributor.inl
-rw-r--r--    1 root    root                     6701 feb 22 10:34 /usr/include/UpTools/UpTimeVal.h
-rw-r--r--    1 root    root                    13094 feb 22 10:34 /usr/include/UpTools/UpTimeVal.inl
-rw-r--r--    1 root    root                     3910 feb 22 10:34 /usr/include/UpTools/UpTimer.h
-rw-r--r--    1 root    root                     4253 feb 22 10:34 /usr/include/UpTools/UpTimerManager.h
lrwxrwxrwx    1 root    root                       19 feb 22 10:34 /usr/lib/libUpTools.so -> libUpTools.so.0.0.0
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES
-rw-r--r--    1 root    root                      868 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/exampleConf.txt
-rw-r--r--    1 root    root                     2335 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testNaptrAlgorithm.cc
-rw-r--r--    1 root    root                     3133 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testNaptrAlgorithm2.cc
-rw-r--r--    1 root    root                     2515 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpAddress2.cc
-rw-r--r--    1 root    root                     2818 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpCondition.cc
-rw-r--r--    1 root    root                     2748 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpConf.cc
-rw-r--r--    1 root    root                     3061 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpDnsRbl.cc
-rw-r--r--    1 root    root                     9036 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpInet.cc
-rw-r--r--    1 root    root                     3564 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpLine.cc
-rw-r--r--    1 root    root                     2286 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpLog.cc
-rw-r--r--    1 root    root                     2657 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpMysql.cc
-rw-r--r--    1 root    root                     2662 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpPgsql.cc
-rw-r--r--    1 root    root                     2667 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpRegex.cc
-rw-r--r--    1 root    root                     4067 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpResolver.cc
-rw-r--r--    1 root    root                     2994 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpResolverSimple.cc
-rw-r--r--    1 root    root                     4629 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSelect.cc
-rw-r--r--    1 root    root                     4878 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSmartLinkPtr.cc
-rw-r--r--    1 root    root                     2752 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSockAddr.cc
-rw-r--r--    1 root    root                     5393 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSockAddrMaps.cc
-rw-r--r--    1 root    root                     3443 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSockAddrMaps2.cc
-rw-r--r--    1 root    root                     5010 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSslServer.cc
-rw-r--r--    1 root    root                     2568 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSubstitute.cc
-rw-r--r--    1 root    root                     2863 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThread.cc
-rw-r--r--    1 root    root                     5452 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThreadSpecificPtr.cc
-rw-r--r--    1 root    root                     3257 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThreadWorkDistributor.cc
-rw-r--r--    1 root    root                     6114 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThreadWorkSplittable.cc
-rw-r--r--    1 root    root                     3586 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpTimeVal.cc
-rw-r--r--    1 root    root                     2718 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpTimer.cc
-rw-r--r--    1 root    root                     1862 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/LICENSE
-rw-r--r--    1 root    root                      584 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/README.FEDORA
File List for UpTools-devel-8.5.4-7.fc16.x86_64.rpm:
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/include/UpTools
-rw-r--r--    1 root    root                     2342 feb 22 10:34 /usr/include/UpTools/UpArch.h
-rw-r--r--    1 root    root                     6473 feb 22 10:34 /usr/include/UpTools/UpBuf.h
-rw-r--r--    1 root    root                     6398 feb 22 10:34 /usr/include/UpTools/UpCondition.h
-rw-r--r--    1 root    root                     4625 feb 22 10:34 /usr/include/UpTools/UpConf.h
-rw-r--r--    1 root    root                     5523 feb 22 10:34 /usr/include/UpTools/UpDnsBase.h
-rw-r--r--    1 root    root                    18593 feb 22 10:34 /usr/include/UpTools/UpDnsBase.inl
-rw-r--r--    1 root    root                     5793 feb 22 10:34 /usr/include/UpTools/UpHashMap.h
-rw-r--r--    1 root    root                    17664 feb 22 10:34 /usr/include/UpTools/UpInet.h
-rw-r--r--    1 root    root                     5878 feb 22 10:34 /usr/include/UpTools/UpInet.inl
-rw-r--r--    1 root    root                     3786 feb 22 10:34 /usr/include/UpTools/UpLine.h
-rw-r--r--    1 root    root                     5299 feb 22 10:34 /usr/include/UpTools/UpLog.h
-rw-r--r--    1 root    root                     3212 feb 22 10:34 /usr/include/UpTools/UpLog.inl
-rw-r--r--    1 root    root                     3834 feb 22 10:34 /usr/include/UpTools/UpNaptrQuery.h
-rw-r--r--    1 root    root                     5112 feb 22 10:34 /usr/include/UpTools/UpOp.h
-rw-r--r--    1 root    root                     3602 feb 22 10:34 /usr/include/UpTools/UpRegex.h
-rw-r--r--    1 root    root                    10896 feb 22 10:34 /usr/include/UpTools/UpResolver.h
-rw-r--r--    1 root    root                     2879 feb 22 10:34 /usr/include/UpTools/UpResolver.inl
-rw-r--r--    1 root    root                     6143 feb 22 10:34 /usr/include/UpTools/UpResolverSimple.h
-rw-r--r--    1 root    root                     2654 feb 22 10:34 /usr/include/UpTools/UpResolverSimple.inl
-rw-r--r--    1 root    root                    18357 feb 22 10:34 /usr/include/UpTools/UpSelect.h
-rw-r--r--    1 root    root                     9215 feb 22 10:34 /usr/include/UpTools/UpSmartLinkPtr.h
-rw-r--r--    1 root    root                     9367 feb 22 10:34 /usr/include/UpTools/UpSmartLinkPtr.inl
-rw-r--r--    1 root    root                     6559 feb 22 10:34 /usr/include/UpTools/UpSql.h
-rw-r--r--    1 root    root                     6037 feb 22 10:34 /usr/include/UpTools/UpSql.inl
-rw-r--r--    1 root    root                     5227 feb 22 10:34 /usr/include/UpTools/UpSqlConnPool.h
-rw-r--r--    1 root    root                     3625 feb 22 10:34 /usr/include/UpTools/UpSqlConnPool.inl
-rw-r--r--    1 root    root                     2835 feb 22 10:34 /usr/include/UpTools/UpSqlMysql.h
-rw-r--r--    1 root    root                     4734 feb 22 10:34 /usr/include/UpTools/UpSqlMysql.inl
-rw-r--r--    1 root    root                     2762 feb 22 10:34 /usr/include/UpTools/UpSqlPgsql.h
-rw-r--r--    1 root    root                     4501 feb 22 10:34 /usr/include/UpTools/UpSqlPgsql.inl
-rw-r--r--    1 root    root                    12103 feb 22 10:34 /usr/include/UpTools/UpSsl.h
-rw-r--r--    1 root    root                     3228 feb 22 10:34 /usr/include/UpTools/UpSsl.inl
-rw-r--r--    1 root    root                     4058 feb 22 10:34 /usr/include/UpTools/UpSubstitute.h
-rw-r--r--    1 root    root                    10319 feb 22 10:34 /usr/include/UpTools/UpThread.h
-rw-r--r--    1 root    root                     4418 feb 22 10:34 /usr/include/UpTools/UpThread.inl
-rw-r--r--    1 root    root                     5245 feb 22 10:34 /usr/include/UpTools/UpThreadSpecific.h
-rw-r--r--    1 root    root                     8409 feb 22 10:34 /usr/include/UpTools/UpThreadSpecific.inl
-rw-r--r--    1 root    root                    10173 feb 22 10:34 /usr/include/UpTools/UpThreadWorkDistributor.h
-rw-r--r--    1 root    root                     3039 feb 22 10:34 /usr/include/UpTools/UpThreadWorkDistributor.inl
-rw-r--r--    1 root    root                     6701 feb 22 10:34 /usr/include/UpTools/UpTimeVal.h
-rw-r--r--    1 root    root                    13094 feb 22 10:34 /usr/include/UpTools/UpTimeVal.inl
-rw-r--r--    1 root    root                     3910 feb 22 10:34 /usr/include/UpTools/UpTimer.h
-rw-r--r--    1 root    root                     4253 feb 22 10:34 /usr/include/UpTools/UpTimerManager.h
lrwxrwxrwx    1 root    root                       19 feb 22 10:34 /usr/lib64/libUpTools.so -> libUpTools.so.0.0.0
drwxr-xr-x    2 root    root                        0 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES
-rw-r--r--    1 root    root                      868 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/exampleConf.txt
-rw-r--r--    1 root    root                     2335 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testNaptrAlgorithm.cc
-rw-r--r--    1 root    root                     3133 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testNaptrAlgorithm2.cc
-rw-r--r--    1 root    root                     2515 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpAddress2.cc
-rw-r--r--    1 root    root                     2818 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpCondition.cc
-rw-r--r--    1 root    root                     2748 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpConf.cc
-rw-r--r--    1 root    root                     3061 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpDnsRbl.cc
-rw-r--r--    1 root    root                     9036 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpInet.cc
-rw-r--r--    1 root    root                     3564 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpLine.cc
-rw-r--r--    1 root    root                     2286 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpLog.cc
-rw-r--r--    1 root    root                     2657 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpMysql.cc
-rw-r--r--    1 root    root                     2662 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpPgsql.cc
-rw-r--r--    1 root    root                     2667 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpRegex.cc
-rw-r--r--    1 root    root                     4067 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpResolver.cc
-rw-r--r--    1 root    root                     2994 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpResolverSimple.cc
-rw-r--r--    1 root    root                     4629 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSelect.cc
-rw-r--r--    1 root    root                     4878 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSmartLinkPtr.cc
-rw-r--r--    1 root    root                     2752 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSockAddr.cc
-rw-r--r--    1 root    root                     5393 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSockAddrMaps.cc
-rw-r--r--    1 root    root                     3443 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSockAddrMaps2.cc
-rw-r--r--    1 root    root                     5010 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSslServer.cc
-rw-r--r--    1 root    root                     2568 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpSubstitute.cc
-rw-r--r--    1 root    root                     2863 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThread.cc
-rw-r--r--    1 root    root                     5452 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThreadSpecificPtr.cc
-rw-r--r--    1 root    root                     3257 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThreadWorkDistributor.cc
-rw-r--r--    1 root    root                     6114 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpThreadWorkSplittable.cc
-rw-r--r--    1 root    root                     3586 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpTimeVal.cc
-rw-r--r--    1 root    root                     2718 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/EXAMPLES/testUpTimer.cc
-rw-r--r--    1 root    root                     1862 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/LICENSE
-rw-r--r--    1 root    root                      584 feb 22 10:34 /usr/share/doc/UpTools-8.5.4/README.FEDORA

[x] All filenames in rpm packages are valid UTF-8

SHOULD LIST
[x] Source package includes license text(s) as a separate file from upstream
[x] The description and summary sections in the package spec file will contain translations for supported Non-English languages in future releases.
[x] I've tested that the package builds in mock
[?] The package should compile and build into binary rpms on x86 architectures, future releases could be tested on other architectures.
[x] The reviewer should test that the package functions as described. A package should not segfault instead of running, for example. (Has a %check section)
[x] Scriptlets used are sane. No errors.
[x] Only subpackage is devel
[x] No pkgconfig(.pc) files
[x] If the package has not file dependencies but packages ones.
[x] No binaries and no scripts.

I need your sponsorship.

Comment 20 Sergio Belkin 2011-02-22 14:08:27 UTC
Created attachment 480140 [details]
Fixes the original spec made it known to bugzilla (Release 7)

Modifications for original spec file submitted.

Comment 21 Sergio Belkin 2011-02-23 21:18:30 UTC
Hi, I am looking for a sponsor, besides UpTools I've made the following packages:

- UpTools: https://bugzilla.redhat.com/show_bug.cgi?id=673589
- cdw: https://bugzilla.redhat.com/show_bug.cgi?id=678128

And the following reviews:

-duply - Wrapper for duplicity
https://bugzilla.redhat.com/show_bug.cgi?id=675234
- os-prober - Probes disks on the system for installed operating
systems https://bugzilla.redhat.com/show_bug.cgi?id=678442
- synce-connector - Connection framework and dccm-implementation
https://bugzilla.redhat.com/show_bug.cgi?id=678728
- libst2205 - Library for accessing the display of hacked st2205 photo
frames  https://bugzilla.redhat.com/show_bug.cgi?id=678887
- pam_csync - a PAM module to provide Roaming Home Directories
https://bugzilla.redhat.com/show_bug.cgi?id=565945
- amavisd-milter - Sendmail milter for amavisd-new with support for
the AM.PDP protocol https://bugzilla.redhat.com/show_bug.cgi?id=634760
- mpiexec - MPI job launcher that uses the PBS task interface directly
https://bugzilla.redhat.com/show_bug.cgi?id=676879
- libeiskaltdcpp - A client library for the DC file sharing protocol
https://bugzilla.redhat.com/show_bug.cgi?id=676939
- lcd4linux - Display system state on an external LCD display
https://bugzilla.redhat.com/show_bug.cgi?id=678891 (Bad Review
included only for honesty)
- perl-Crypt-Random-Source - Get weak or strong random data from
pluggable sources https://bugzilla.redhat.com/show_bug.cgi?id=678929
- https://bugzilla.redhat.com/show_bug.cgi?id=679133

Thanks in advance!

Comment 22 Sergio Belkin 2011-02-23 21:21:22 UTC
Sorry I'd appended UpTools as my other packages the missing one it was:

https://bugzilla.redhat.com/show_bug.cgi?id=679913

Thanks in advance.

Comment 23 Sergio Belkin 2011-02-24 16:30:38 UTC
Hi,

I've resubmitted the spec file because it had an incorrect weekday date in last entry. Because is an error restricted to a spec file I've found not needed to increase the E-V-R. If I'm wrong please let me to know.

I've made the terrible and unforgivable mistake of leave incorrect the weekday name in changelog of my last chages.  My little son is on holidays and sometimes  I miss something with him play around :)


The URL's are the same:

SPEC URL: http://dl.dropbox.com/u/14217893/UpTools.spec
SRPM URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-4.fc14.src.rpm

Please, I need your review and your sponsorship.

Comment 24 Sergio Belkin 2011-02-24 16:36:34 UTC
Sorry again,

I've submitted a incorrect SRPM URL, please don't reject me by this :'(

Spec URL: http://dl.dropbox.com/u/14217893/UpTools.spec
Spec URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-7.fc16.src.rpm

Sorry again, I need your review and your sponsorship.

Greetings

Comment 25 Mamoru TASAKA 2011-02-24 19:51:23 UTC
Some notes:

* Macros
  https://fedoraproject.org/wiki/Packaging/RPMMacros
  - Please use macros properly. For example. /usr/bin should be
    replaced by %{_bindir}
    ! By the way, "/usr/bin/" part before iconv is just redundant.

* Compilation flags
  - Would you explain why "-Wno-deprecated" is needed (i.e.
    why do you want to suppress warnings?)

* Parallel make
    https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
  - Support parallel make if possible. If impossible, please write
    some comments on the spec file about it.

* Timestamps
  https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
  - When installing files with "install" or "cp" commands, please
    add "-p" option to keep timestamps on installed files:

* %defattr
  - Now we prefer to use %defattr(-,root,root,-)

* Dependency
  - UpSsl.h under %_includedir/UpTools contains:
-----------------------------------------------------------------
    50  #ifndef USE_YASSL
    51          #include <openssl/ssl.h>
    52          #include <openssl/x509.h>
    53          #include <openssl/rsa.h>
    54          #include <openssl/engine.h>
-----------------------------------------------------------------
    looks like "Requires: openssl-devel%{?_isa}" is also needed
    on -devel subpackage
    ! By the way, I prefer to write one Requires per one line
      because
      - It is easier to read
      - It makes diff output smaller and more readable when Requires
        items changed.

* Messages on scriptlets
  - Generally showing messages (especially non-error messages)
    when executing scriptlets (%post and so on) is forbidden.
    Instruction for creating example executables or so should be
    written and be installed as a file, and should not appear
    during scriptlets are executed.

* Miscs
  - Why do you want to list each example files under doc/tests
    explicitly? (i.e. please use glob)

  - Also are there any reason you don't want to use %name-devel directory
    under %_defaultdocdir? Allowing to use such directory and using
    %doc in the spec file is much simpler and easier to read.

Comment 26 Sergio Belkin 2011-02-25 12:48:39 UTC
(In reply to comment #25)

***The new and corrected files***
Spec URL: http://dl.dropbox.com/u/14217893/UpTools.spec
Spec URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-8.fc16.src.rpm
***Below, the comments to Mamoru comments***

> Some notes:
> 
> * Macros
>   https://fedoraproject.org/wiki/Packaging/RPMMacros
>   - Please use macros properly. For example. /usr/bin should be
>     replaced by %{_bindir}
>     ! By the way, "/usr/bin/" part before iconv is just redundant.

Thanks Mamoru!
Firstly:

You're right. Just I thought that the complete path it was better. Fixed (i.e. removed  "/usr/bin/")

> 
> * Compilation flags
>   - Would you explain why "-Wno-deprecated" is needed (i.e.
>     why do you want to suppress warnings?)

Because we were using hash_map and hash_set, now it is using through %configure option unordered_map and unordered_set headers instead, AFAIK hash_* are deprecated since gcc 4.3 but in tarball we preferred to be conservative.

> 
> * Parallel make
>     https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make
>   - Support parallel make if possible. If impossible, please write
>     some comments on the spec file about it.

Oops. Fixed.

> 
> * Timestamps
>   https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
>   - When installing files with "install" or "cp" commands, please
>     add "-p" option to keep timestamps on installed files:

Fixed too.

> 
> * %defattr
>   - Now we prefer to use %defattr(-,root,root,-)

Oops. Fixed!

> 
> * Dependency
>   - UpSsl.h under %_includedir/UpTools contains:
> -----------------------------------------------------------------
>     50  #ifndef USE_YASSL
>     51          #include <openssl/ssl.h>
>     52          #include <openssl/x509.h>
>     53          #include <openssl/rsa.h>
>     54          #include <openssl/engine.h>
> -----------------------------------------------------------------
>     looks like "Requires: openssl-devel%{?_isa}" is also needed
>     on -devel subpackage
>     ! By the way, I prefer to write one Requires per one line
>       because
>       - It is easier to read
>       - It makes diff output smaller and more readable when Requires
>         items changed.

About of "Requires per one line" I agree completely with you, in fact, before it was one per line, but I thought that it was needed making so, and about openssl-devel as Requires, I was taking into account that, so yum would resolve the missing package:

rpm -qR mysql-devel | grep openssl
openssl-devel(x86-32)  

and

repoquery -R mysql-devel
libmysqlclient.so.16
libmysqlclient_r.so.16
mysql(x86-32) = 5.1.55-1.fc14
openssl-devel(x86-32)

Anyway, I've added it :)

> 
> * Messages on scriptlets
>   - Generally showing messages (especially non-error messages)
>     when executing scriptlets (%post and so on) is forbidden.
>     Instruction for creating example executables or so should be
>     written and be installed as a file, and should not appear
>     during scriptlets are executed.

Yup. Removed :)

> 
> * Miscs
>   - Why do you want to list each example files under doc/tests
>     explicitly? (i.e. please use glob)

Just the will to work in excess :)
Using glob now!

> 
>   - Also are there any reason you don't want to use %name-devel directory
>     under %_defaultdocdir?

Thanks! It was an error. Fixed....

> Allowing to use such directory and using
>     %doc in the spec file is much simpler and easier to read.

Yes is it. I've rearranged that properly. 

Thanks Mamoru, your advices helped me a lot.
Please could you give me your review and sponsorship.

Thanks in advance!

Comment 27 Sergio Belkin 2011-02-25 12:51:15 UTC
Created attachment 480982 [details]
Fixes the original spec made it known to bugzilla (Release 8)

Comment 28 Ralf Corsepius 2011-02-25 15:07:03 UTC
2 details:

* I'd recommend to append --disable-silent-rules to %configure
This makes build logs much better readable (You could drop the make V=1, then)

* The *-devel package applies libstdc++
=> Please add
Requires: libstdc++-devel


Another detail I do not understand:
...
checking for mysql_close in -lmysqlclient... no
checking for mysqlclient library with -L/lib64... no
checking for mysqlclient library with -L/lib... no
checking for mysqlclient library with -L/usr/lib64... no
checking for mysqlclient library with -L/usr/lib... no
checking for mysqlclient library with -L/usr/local/lib64... no
checking for mysqlclient library with -L/usr/local/lib... no
checking for mysqlclient library with -L/usr/local/lib64/mysql... no
checking for mysqlclient library with -L/usr/lib64/mysql... yes
checking mysql/mysql.h usability... yes
checking mysql/mysql.h presence... yes
checking for mysql/mysql.h... yes


2 issues with this:

1. ".lmysqlclient... no"
At least Fedora 14 has "mysql_close in -lmysqlclient"
# nm -sD /usr/lib64/mysql/libmysqlclient.so | grep mysql_close
00000039e5450580 T mysql_close


2. The lib../usr/lib... iteration.
This a pretty questionable way to check for a library.

Comment 29 Mamoru TASAKA 2011-02-26 19:33:02 UTC
Almost okay.

* Timestamps
  - Please consider to use
---------------------------------------------------------------
make install DESTDIR=%{buildroot} INSTALL="install -p"
---------------------------------------------------------------
    to keep timestamps also on installed header files.
    This method usually works for Makefiles generated by
    recent autotools.

? %check
  - $ make tests seems to generate example binaries, however
    these binaries are not packaged into binary rpms, and
    no actual testsuite is executed. Is %check section really
    needed?

Also please address Ralf's comments.

Comment 30 Sergio Belkin 2011-02-26 23:14:01 UTC
(In reply to comment #28)
> 2 details:
> 
> * I'd recommend to append --disable-silent-rules to %configure
> This makes build logs much better readable (You could drop the make V=1, then)

Thanks Ralf for your autotools wisdom :)
Done!

> 
> * The *-devel package applies libstdc++
> => Please add
> Requires: libstdc++-devel
Done!


> 
> 
> Another detail I do not understand:
> ...
> checking for mysql_close in -lmysqlclient... no
> checking for mysqlclient library with -L/lib64... no
> checking for mysqlclient library with -L/lib... no
> checking for mysqlclient library with -L/usr/lib64... no
> checking for mysqlclient library with -L/usr/lib... no
> checking for mysqlclient library with -L/usr/local/lib64... no
> checking for mysqlclient library with -L/usr/local/lib... no
> checking for mysqlclient library with -L/usr/local/lib64/mysql... no
> checking for mysqlclient library with -L/usr/lib64/mysql... yes
> checking mysql/mysql.h usability... yes
> checking mysql/mysql.h presence... yes
> checking for mysql/mysql.h... yes
> 
> 
> 2 issues with this:
> 
> 1. ".lmysqlclient... no"
> At least Fedora 14 has "mysql_close in -lmysqlclient"
> # nm -sD /usr/lib64/mysql/libmysqlclient.so | grep mysql_close
> 00000039e5450580 T mysql_close
> 
> 
> 2. The lib../usr/lib... iteration.
> This a pretty questionable way to check for a library.

You're right, I wrongly overlooked.
I've fixed that, adding the appropiate LDFLAGS for mysql.
I agree that the "iteration" (using ax_ext_have_lib.m4) it's not the more usual
and perhaps better way to do that. In fact, it outputs a misleading message as
if mysql_close was not in mysqlclient. But please take into account 2 things:

1. The macro finds it (uses AC_TRY_LINK_FUNC to do it) when it searches through
the "right" directory, either /usr/lib/mysql or /usr/lib64/mysql depending of
the arch (of course if mysql-devel is installed). The problem is that it uses a
misleading message.
2. I know that I could use AC_SEARCH_LIBS for find but please, let's take in
account that many programmers are a bit lazy in order to pass the right
LDFLAGS, believe that there are a lot of them that even know what is "LDFLAGS".
So We want to be easy to install from sources.
Mmmm... Well, I feel that I changed the main subject that is to build fedora
packages. Of course is my will improve the packages in future releases and use
better ways that find libraries and even examine that ax_ext_have_lib.m4 macro
and submitted patches if it so happens. 

The two issues has been fixed.

Thanks for your comments! Next reply to Mamoru I post the updated files url

Thanks again.

Comment 31 Sergio Belkin 2011-02-26 23:21:13 UTC
(In reply to comment #29)

***The new and corrected files***
Spec URL: http://dl.dropbox.com/u/14217893/UpTools.spec
Spec URL: http://dl.dropbox.com/u/14217893/UpTools-8.5.4-9.fc16.src.rpm
***Below, the comments to Mamoru comments***

Again thanks Mamoru

> Almost okay.
> 
> * Timestamps
>   - Please consider to use
> ---------------------------------------------------------------
> make install DESTDIR=%{buildroot} INSTALL="install -p"
> ---------------------------------------------------------------
>     to keep timestamps also on installed header files.
>     This method usually works for Makefiles generated by
>     recent autotools.

Fixed!!

> 
> ? %check
>   - $ make tests seems to generate example binaries, however
>     these binaries are not packaged into binary rpms, and
>     no actual testsuite is executed. Is %check section really
>     needed?

Removed! Really not needed. They are code examples.

> 
> Also please address Ralf's comments.

Done it!

Mamoru, Are you my sponsor? If you are not, please could you be it?

Thanks all of your time and advices have been really useful!

Greetings

Comment 32 Sergio Belkin 2011-02-26 23:22:12 UTC
Created attachment 481203 [details]
Fixes the original spec made it known to bugzilla (Release 9)

Comment 33 Mamoru TASAKA 2011-02-27 18:09:15 UTC
For -9:

* LDFLAGS
  - LDFLAGS="-L%{_libdir}/mysql" is sufficient.

Please fix the above when importing this package into Fedora git.

--------------------------------------------------------
      This package (UpTools) is APPROVED by mtasaka
--------------------------------------------------------


Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji)".

Now I am sponsoring you.

If you want to import this package into Fedora 13/14/15, you also have
to look at
http://fedoraproject.org/wiki/Bodhi_Guide
(after once you rebuilt this package on koji Fedora rebuilding system).

When using Fedora SCM system, please check below for reference:
http://fedoraproject.org/wiki/Using_Fedora_GIT

If you have questions, please ask me.

Removing NEEDSPONSOR.

Comment 34 Sergio Belkin 2011-02-28 03:19:06 UTC
(In reply to comment #33)
> For -9:
> 
> * LDFLAGS
>   - LDFLAGS="-L%{_libdir}/mysql" is sufficient.
> 
> Please fix the above when importing this package into Fedora git.

I'll do it!

> 
> --------------------------------------------------------
>       This package (UpTools) is APPROVED by mtasaka
> --------------------------------------------------------

Great!

> 
> 
> Please follow the procedure written on:
> http://fedoraproject.org/wiki/PackageMaintainers/Join
> from "Install the Client Tools (Koji)".
> 
> Now I am sponsoring you.

Great again!

> 
> If you want to import this package into Fedora 13/14/15, you also have
> to look at
> http://fedoraproject.org/wiki/Bodhi_Guide
> (after once you rebuilt this package on koji Fedora rebuilding system).

Fine.

> 
> When using Fedora SCM system, please check below for reference:
> http://fedoraproject.org/wiki/Using_Fedora_GIT
> 
> If you have questions, please ask me.

I'll keep in mind! I sure that I will have questions to ask you :)

I'll try to be no annoying :)

> 
> Removing NEEDSPONSOR.

I'ts a fantastic new. Thanks Mamoru for your time and your mentoring.

Comment 35 Sergio Belkin 2011-02-28 12:23:58 UTC
New Package SCM Request
=======================
Package Name: UpTools
Short Description: UpTools -  C++ library for hpc, networking, db, memory, etc.
Owners: sebelk
Branches: f13 f14 f15
InitialCC:

Comment 36 Mamoru TASAKA 2011-02-28 12:28:07 UTC
I recommend to remove "UpTools -" from "Short Description" as
it is redundant.

Comment 37 Sergio Belkin 2011-02-28 12:36:00 UTC
Mamoru, should I submit request, or Can I remove it in a later stage?
Thanks in advance

Comment 38 Sergio Belkin 2011-02-28 12:38:35 UTC
I wanted to say:

should I *resubmit* the request, or can I remove it in a later stage?
Thanks in advance

Comment 39 Mamoru TASAKA 2011-02-28 13:14:34 UTC
Please resubmit (just write modified SCM request again and keep
cvs flag to ?)

Comment 40 Sergio Belkin 2011-02-28 13:57:30 UTC
New Package SCM Request
=======================
Package Name: UpTools
Short Description: C++ library for hpc, networking, db, memory, etc.
Owners: sebelk
Branches: f13 f14 f15
InitialCC:

Comment 41 William Lima 2011-02-28 14:43:37 UTC
Your last spec file have two blank lines at end. Also attachments with your spec aren't needed, just update links (spec/srpm).

Comment 42 Jason Tibbitts 2011-02-28 14:56:46 UTC
Git done (by process-git-requests).

Comment 43 Fedora Update System 2011-03-01 04:37:51 UTC
Package UpTools-8.5.4-11.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing UpTools-8.5.4-11.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/UpTools-8.5.4-11.fc14
then log in and leave karma (feedback).

Comment 44 Fedora Update System 2011-03-01 05:00:31 UTC
Package UpTools-8.5.4-11.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing UpTools-8.5.4-11.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/UpTools-8.5.4-11.fc13
then log in and leave karma (feedback).

Comment 45 Fedora Update System 2011-03-01 05:00:39 UTC
Package UpTools-8.5.4-11.fc15:
* should fix your issue,
* was pushed to the Fedora 15 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing UpTools-8.5.4-11.fc15'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/UpTools-8.5.4-11.fc15
then log in and leave karma (feedback).

Comment 46 Fedora Update System 2011-03-01 06:47:23 UTC
UpTools-8.5.4-11.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update UpTools'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/UpTools-8.5.4-11.fc15

Comment 47 Mamoru TASAKA 2011-03-03 11:59:18 UTC
Closing.

Comment 48 Fedora Update System 2011-03-14 10:22:46 UTC
UpTools-8.5.4-11.fc14 has been pushed to the Fedora 14 stable repository.

Comment 49 Fedora Update System 2011-03-14 10:23:05 UTC
UpTools-8.5.4-11.fc13 has been pushed to the Fedora 13 stable repository.

Comment 50 Fedora Update System 2011-03-16 04:09:40 UTC
UpTools-8.5.4-11.fc15 has been pushed to the Fedora 15 stable repository.

Comment 51 Sergio Belkin 2011-05-17 15:01:42 UTC
New Package SCM Request
=======================
Package Name: UpTools
Short Description: C++ library for hpc, networking, db, memory, etc.
Owners: sebelk
Branches: el5 el6
InitialCC:

Comment 52 Sergio Belkin 2011-05-18 18:53:39 UTC
New Package SCM Request
=======================
Package Name: UpTools
Short Description: C++ library for hpc, networking, db, memory, etc.
Owners: sebelk
Branches: el5 el6
InitialCC:

Comment 53 Jason Tibbitts 2011-05-18 22:18:46 UTC
This package already exists; you cannot file a new package request for it.  If you are trying to add new branches, please file a change request instead.

Comment 54 Sergio Belkin 2011-05-18 22:35:57 UTC
Package Change Request
======================
Package Name: UpTools
New Branches: el5 el6
Owners: sebelk
InitialCC:

Comment 55 Jason Tibbitts 2011-05-19 15:56:38 UTC
Git done (by process-git-requests).

Comment 56 Fedora Update System 2011-05-31 15:57:03 UTC
UpTools-8.5.5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/UpTools-8.5.5-2.el5

Comment 57 Fedora Update System 2011-06-21 19:27:44 UTC
UpTools-8.5.5-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 58 Fedora Update System 2011-09-27 13:32:43 UTC
UpTools-8.5.5-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/UpTools-8.5.5-5.fc15

Comment 59 Fedora Update System 2011-09-27 13:50:53 UTC
UpTools-8.6.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/UpTools-8.6.1-1.fc16

Comment 60 Fedora Update System 2011-09-27 14:40:25 UTC
UpTools-8.6.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/UpTools-8.6.1-1.fc15

Comment 61 Fedora Update System 2011-09-27 14:52:39 UTC
UpTools-8.6.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/UpTools-8.6.1-1.fc14

Comment 62 Fedora Update System 2011-10-03 17:37:20 UTC
UpTools-8.6.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/UpTools-8.6.1-1.el6

Comment 63 Fedora Update System 2011-10-15 20:24:27 UTC
UpTools-8.6.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 64 Fedora Update System 2011-10-15 20:28:37 UTC
UpTools-8.6.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 65 Fedora Update System 2011-10-16 00:59:13 UTC
UpTools-8.6.1-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 66 Fedora Update System 2011-10-27 19:07:38 UTC
UpTools-8.6.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.